@charset "utf-8";
/* CSS Document */
/*===== PC背景 id="back_pic のCSS =====*/
#back_pic {
  width: 100%;
  height: 100vh;
  background-image: url(img/amusement-park-4676111_1280.png); /*背景の遊園地のシルエット画像*/
  background-repeat: no-repeat;
  background-color: #990099;
  background-size: cover;
  background-position: center;
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: -10;
}
/*===== 「火の粉」 のCSS =====*/
/*particle.jsで描画されたエリア(#particle-js)の上にコンテンツ(#wrapper)を設置する設定を行う。*/
html, body {
  height: 100%; /*高さを100%にして描画エリアをとる*/
}
#particles-js {
  position: fixed; /*描画固定*/
  z-index: -1; /*描画を一番下に*/
  width: 100%;
  height: 100%;
}
#wrapper {
  position: relative; /*描画を#particles-jsよりも上にするためposition:relative;を指定*/
  z-index: 1; /*z-indexの数字を大きくすることで描画を#particles-jsよりも上に*/
  width: 100%;
  height: 100%;
}
/*=======ここからmainの設定=========*/
h1 {
  display: none;
}
h2 {
  font-size: 24px;
  font-weight: bold;
  color: #FFFEF8;
  text-align: center;
  margin-top: 12px;
  margin-bottom: 12px;
}
h3 {
  font-size: 16px;
  font-weight: bold;
  color: #FFFEF8;
  text-align: center;
  margin-top: 12px;
  margin-bottom: 12px;
}
/*=======mainの設定=========*/
.main {
  line-height: 1.5;
  font-family: "Noto Serif JP", serif;
  font-size: 14px;
  color: #FFFEF8;
  width: 375px;
  margin: 0 auto;
  background-color: rgba(153, 0, 153, .6); /*←main背景の色*/
  filter: drop-shadow(0px 0px 10px rgba(255, 255, 255, 0.8)); /*←影の演出効果（白）*/
}
/*=======TOPサウスオークハイランドロゴの設定=========*/
toplogor {
  display: flex;
  flex-direction: row;
  justify-content: center;
  height: 70px;
  padding-top: 10px;
  padding-bottom: 10px;
}
toplogor .wheel {
  filter: brightness(0%) contrast(300%) invert(100%) saturate(0%) drop-shadow(0px 0px 18px rgba(0, 0, 0, 0.6)); /*観覧車を白にして影つけた*/
}
.eventdata p {
  text-align: center;
  color: #FFFEF8;
}
/*=======TOPハロウィーンナイトコースターロゴの設定=========*/
.title_container {
  padding-bottom: 180px; /*タイトル用に入れている空間*/
  position: relative;
  background-image: linear-gradient(0deg, rgba(0, 0, 0, 1), rgba(255, 255, 255, 0)); /*グラデの背景→透明*/
}
.title_container img {
  filter: drop-shadow(2px 2px 3px rgba(255, 255, 255, 1)); /*←文字の影の演出効果（白）*/
}
.title_text01 /*今宵は*/ {
  position: absolute;
  top: 10px;
  left: 10px;
  z-index: 1; /*文字を月の画像の上に*/
  /*以下その場でフワッと出す効果*/
  animation-name: fadeInAnime;
  animation-duration: 2s;
  animation-fill-mode: forwards;
  opacity: 0;
}
@keyframes fadeInAnime {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}
/*以下その場でフワッと出す効果　ここまで*/
.title_text02 /*ハロウィーンナイト*/ {
  position: absolute;
  top: 60px;
  left: 30px;
  z-index: 1; /*文字を月の画像の上に*/
  /*以下その場でフワッと出す効果*/
  animation-name: fadeInAnime;
  animation-duration: 4s;
  animation-fill-mode: forwards;
  opacity: 0;
}
@keyframes fadeInAnime {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}
/*以下その場でフワッと出す効果　ここまで*/
.title_moonpic_container /*月と蝙蝠*/ {
  position: absolute;
  top: 0;
  right: 0;
}
/*=======TOPハロウィーンナイトコースタービジュアル(.mainIMG)の設定=========*/
.mainIMG {
  position: relative;
}
/* .CoasterIMGが上からふわっと出る設定 */
.fadeDown {
  position: absolute;
  top: 0;
  animation-name: fadeDownAnime;
  animation-duration: 5s;
  animation-fill-mode: forwards;
  opacity: 0;
}
@keyframes fadeDownAnime {
  from {
    opacity: 0;
    transform: translateY(-100px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}
/*下へスクロールここから*/
.scroll_container {
  position: absolute;
  margin-top: -100px;
  margin-left: 30px;
}
.scroll {
  display: inline-block;
  padding-top: 70px;
  position: relative;
}
.scroll::before {
  animation: scroll 3.5s infinite;
  border: solid #fff;
  border-width: 0 0 1px 1px;
  content: "";
  display: inline-block;
  margin: auto;
  position: absolute;
  top: 0;
  right: 0;
  left: 0;
  transform: rotate(-45deg);
  width: 20px;
  height: 20px;
}
@keyframes scroll {
  0% {
    transform: rotate(-45deg) translate(0, 0);
  }
  80% {
    transform: rotate(-45deg) translate(-30px, 30px);
  }
  0%, 80%, 100% {
    opacity: 0;
  }
  40% {
    opacity: 1;
  }
}
/*下へスクロールここまで*/
.boyIMG {
  position: absolute;
  bottom: 0;
  right: 0;
}
/*驚く少年の画像を動かす設定ここから*/
/*ぽよぽよ収縮する*/
.boyIMG {
  animation: poyopoyo 2s ease-out infinite;
  opacity: 1;
}
@keyframes poyopoyo {
  0%, 40%, 60%, 80% {
    transform: scale(1.0);
  }
  50%, 70% {
    transform: scale(0.95);
  }
}
/*驚く少年の画像を動かす設定ここまで*/
.yuuennti_pic {
  bottom: 0;
  width: 375px;
  object-fit: contain;
}
/*=======ハロウィーンナイトイベント(.hwn_container)説明の設定=========*/
.yuugataTXT {
  text-align: center;
  margin-bottom: 16px;
}
.hwn_container01 {
  display: flex;
  flex-direction: row;
  margin: 24px 12px;
}
.hwnTEXT_container {
  width: 70%;
}
.hwnTEXT_container p {
  text-align: justify;
  margin-left: 8px;
  margin-right: 16px;
  margin-bottom: 8px;
}
.hwnIMG_container {
  position: relative;
  width: 30%;
}
.hwnIMG_container .hwn_PgostIMG {
  position: absolute;
  bottom: 0;
}
/*パンプキンゴーストの画像をぽよよんと動かす設定ここから*/
/*ぽよよんと跳ねる3*/
.hwnIMG_container .hwn_PgostIMG /*.poyoyon3.is-animated*/ {
  animation: poyoyon3 2.5s infinite;
  opacity: 1;
}
@keyframes poyoyon3 {
  0%, 40% {
    transform: skew(0deg, 0deg);
  }
  5% {
    transform: skew(5deg, 5deg);
  }
  10% {
    transform: skew(-4deg, -4deg);
  }
  15% {
    transform: skew(3deg, 3deg);
  }
  20% {
    transform: skew(-2deg, -2deg);
  }
  25% {
    transform: skew(1deg, 1deg);
  }
  30% {
    transform: skew(-0.6deg, -0.6deg);
  }
  35% {
    transform: skew(0.3deg, 0.3deg);
  }
}
/*パンプキンゴーストの画像をぽよよんと動かす設定ここまで*/
.hwnIMG_container .hwn_gateIMG {
  position: absolute;
  bottom: 0;
  right: 0;
}
.hwnIMG_container .hwn_halloweensignIMG {
  position: absolute;
  bottom: 0;
  right: 0;
}
/*.ghostIMG_containerスライダーのためのcssここから*/
.ghostIMG_container img {
  width: 100%; /*スライダー内の画像を横幅100%に*/
  height: auto;
}
/*slickのJSで書かれるタグ内、スライド左右の余白調整*/
.ghostIMG_container .slick-slide {
  margin: 0 2px; /*スライド左右の余白調整*/
}
/*.ghostIMG_containerスライダーのためのcssここまで*/
/*=======ハロウィーンナイトコースターの説明の設定=========*/
.HNCoasterLOGO {
  display: block;
  margin-left: auto;
  margin-right: auto;
  filter: drop-shadow(2px 2px 3px rgba(255, 255, 255, 1)); /*←文字の影の演出効果（白）*/
  animation: sway 3s infinite ease-in-out;
}
/*ゆれる.HNCoasterLOGO画像の設定*/
@keyframes sway {
  0% {
    transform: translateX(0);
  }
  50% {
    transform: translateX(-5px);
  }
  100% {
    transform: translateX(0);
  }
}
/*ゆれる.HNCoasterLOGO画像の設定ここまで*/
.HNCoasterTXT {
  margin: 12px 12px;
  padding: 6px 6px;
  text-align: justify;
  background-color: rgba(153, 0, 153, .7);
  border-radius: 10px;
  margin-bottom: 48px;
}
.HNCoasterTXT p {
  margin-left: 8px;
  margin-right: 8px;
  margin-bottom: 8px;
}
/*=======ローラーコースターの説明の設定=========*/
.rollerCoaster_container {
  margin: 12px 12px;
  padding: 6px 6px;
}
.rollerCoaster_IMG {
  object-fit: cover;
}
.rollerCoaster_date {
  margin-left: 85px;
}
/*フッターのピエロ（pierrot）画像の設定*/
.HWpierrotbaseIMG {
  position: absolute;
}
.HWpierrotIMG {
  position: relative;
  margin-top: 28px;
  animation: sway 3s infinite ease-in-out;
}
/*ゆれる.HWpierrotIMG　ピエロ画像の設定*/
@keyframes sway {
  0% {
    transform: translateX(0);
  }
  50% {
    transform: translateX(-5px);
  }
  100% {
    transform: translateX(0);
  }
}
/*ゆれる.HWpierrotIMG　ピエロ画像の設定ここまで*/
.boureitatigaTXT {
  position: relative;
  font-family: "Yuji Syuku", serif;
  font-size: 24px;
  padding-top: 30px;
  text-align: center;
}
.Happy_Halloween {
  position: relative;
  padding-top: 60px;
  font-family: "Creepster", system-ui;
  font-weight: 400;
  font-style: normal;
  font-size: 42px;
  display: block;
  margin-left: 40px;
}
/*.Happy_Halloween文字がふわふわ揺れる*/
.Happy_Halloween {
  animation: fuwafuwa 3s ease-in-out infinite alternate;
  display: inline-block;
  transition: 1.5s ease-in-out;
}
@keyframes fuwafuwa {
  0% {
    transform: translate(0, 0) rotate(-7deg);
  }
  50% {
    transform: translate(0, -7px) rotate(0deg);
  }
  100% {
    transform: translate(0, 0) rotate(7deg);
  }
}
/*.Happy_Halloween文字がふわふわ揺れるここまで*/
@media screen and (max-width:375px) {
  #back_pic {
    display: none;
  }
  body {
    background-color: #990099;
  }
}